=== debian/changelog ===
geary (0.12.0-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/control: Build-depend on libmessaging-menu-dev and
      libunity-dev for better Unity integration.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Jan 2018 12:38:32 -0500

geary (0.12.0-1) unstable; urgency=medium

  * Change maintainer to Debian GNOME Team, with Vincent's permission
  * Drop obsolete Build-Depends on libgnome-keyring-dev (Closes: #867922)
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 22 Jan 2018 12:36:03 -0500

geary (0.12.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #879574)
  * Drop vavala-casts.patch, applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Oct 2017 21:24:45 -0400

geary (0.12~20170915-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to debian/patches/series

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Sep 2017 10:01:58 -0400

geary (0.12~20170915-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually add patch.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Sep 2017 09:15:38 -0400

geary (0.12~20170915-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add vavala-casts.patch to fix build on s390x

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Sep 2017 08:19:56 -0400

geary (0.12~20170915-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream git snapshot (Closes: #873863)
  * Switch to webkit2gtk (Closes: #866638) (LP: #1588150)
  * debian/control:
    - Build-depend on libenchant-dev
    - Bump minimum GTK+ to 3.14 and GLib to 2.42

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Sep 2017 23:01:28 -0400
