=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: geary
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 11),
               desktop-file-utils,
               gnome-doc-utils,
               gnome-pkg-tools,
               intltool,
               libcanberra-dev (>= 0.28),
               libenchant-dev (>= 1.6),
               libgcr-3-dev (>= 3.10.1),
               libgee-0.8-dev (>= 0.8.5),
               libgirepository1.0-dev (>= 1.32.0),
               libglib2.0-dev (>= 2.42.0),
               libgmime-2.6-dev (>= 2.6.14),
               libgtk-3-dev (>= 3.14.0),
               libmessaging-menu-dev,
               libunity-dev,
               libnotify-dev (>= 0.7.5),
               libsecret-1-dev (>= 0.11),
               libsqlite3-dev (>= 3.7.4),
               libwebkit2gtk-4.0-dev (>= 2.10),
               libxml2-dev (>= 2.7.8),
               valac (>= 0.22.1)
Standards-Version: 4.1.3
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/geary/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/geary/trunk
Homepage: https://wiki.gnome.org/Apps/Geary

Package: geary
Architecture: any
Depends: gnome-keyring | kwalletmanager, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.
