=== src/CMakeLists.txt ===
--- 
+++ 
@@ -124,7 +124,6 @@
 engine/imap/message/imap-flags.vala
 engine/imap/message/imap-internal-date.vala
 engine/imap/message/imap-mailbox-specifier.vala
-engine/imap/message/imap-mailbox-parameter.vala
 engine/imap/message/imap-message-data.vala
 engine/imap/message/imap-message-flag.vala
 engine/imap/message/imap-message-flags.vala
@@ -279,3 +278,5 @@
 engine/smtp/smtp-error.vala
 engine/smtp/smtp-greeting.vala
 engine/smtp/smtp-login-authenticator.vala
+engine/smtp/smtp-plain-authenticator.vala
+engine/smtp/smtp-request.vala
