=== test/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
   engine/api/geary-attachment-test.vala
   engine/api/geary-engine-test.vala
+  engine/imap/message/imap-data-format-test.vala
+  engine/imap/message/imap-mailbox-specifier-test.vala
+  engine/imap/transport/imap-deserializer-test.vala
   engine/mime-content-type-test.vala
   engine/rfc822-mailbox-address-test.vala
   engine/rfc822-message-test.vala
@@ -24,6 +27,7 @@
   client/components/client-web-view-test-case.vala
   client/composer/composer-web-view-test.vala
 
+  js/client-page-state-test.vala
   js/composer-page-state-test.vala
   js/conversation-page-state-test.vala
 )
