=== debian/changelog ===
geary (0.12.4-4~ubuntu18.04.3) bionic; urgency=medium

  [ Amr Ibrahim ]
  * Backport to bionic (LP: #1815626)

  [ Gunnar Hjalmarsson ]
  * Handle translations for bionic (LP: #1779574):
    - debian/control.in, debian/control:
      - Don't enable language packs.
    - debian/rules:
      - Prevent dh_translations from removing upstream translations
        from the .desktop files.

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Oct 2019 22:49:05 +0100

geary (0.12.4-4) unstable; urgency=medium

  * Cherry-pick Actually-use-error-variable.patch:
    - Fix build with latest vala

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 12:07:05 -0500

geary (0.12.4-3) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 09:19:50 -0500

geary (0.12.4-2) unstable; urgency=medium

  * Cherry-pick 3 patches to fix build with webkit2gtk 2.22
  * Bump minimum libwebkit2gtk-4.0-dev to 2.22

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Sep 2018 11:03:58 -0400

geary (0.12.4-1) unstable; urgency=medium

  * New upstream release (Closes: #904387, #907942)
  * Opt in to Ubuntu language packs (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 21:42:43 -0400

geary (0.12.2-2) unstable; urgency=medium

  * Adjust ugly hack to use linux-firmware-free instead of openrc
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 May 2018 13:17:50 -0400

geary (0.12.2-1) unstable; urgency=medium

  * New upstream release
  * Use an ugly hack to build-depend on libmessaging-menu-dev and
    libunity-dev on Ubuntu but not on Debian since those packages
    don't exist in Debian.

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 May 2018 00:20:24 -0400

geary (0.12.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * Update Vcs-* for migration from collab-maint svn to GNOME git
  * debian/gbp.conf: Add

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Mar 2018 14:59:59 -0400
