=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: geary
@@ -22,18 +22,18 @@
                libglib2.0-dev (>= 2.42.0),
                libgmime-2.6-dev (>= 2.6.14),
                libgtk-3-dev (>= 3.14.0),
-               libmessaging-menu-dev,
-               libunity-dev,
+               firmware-linux-free | libmessaging-menu-dev,
+               firmware-linux-free | libunity-dev,
                libnotify-dev (>= 0.7.5),
                libsecret-1-dev (>= 0.11),
                libsqlite3-dev (>= 3.7.4),
-               libwebkit2gtk-4.0-dev (>= 2.10),
+               libwebkit2gtk-4.0-dev (>= 2.22),
                libxml2-dev (>= 2.7.8),
                valac (>= 0.22.1)
-Standards-Version: 4.1.3
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/geary/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/geary/trunk
+Standards-Version: 4.3.0
 Homepage: https://wiki.gnome.org/Apps/Geary
+Vcs-Git: https://salsa.debian.org/gnome-team/geary.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/geary
 
 Package: geary
 Architecture: any
