=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -DNO_FATAL_WARNINGS=true

override_dh_translations:
